package hdm.mi.growbros.service;

import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.repositories.PlantRepository;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Random;

@Service

public class GrandmaService {

    private final PlantRepository plantRepository;

    public GrandmaService (PlantRepository plantRepository){
        this.plantRepository = plantRepository;
    }


    public String getRandomPlantInfo() {

        String plantInfo = null;
        List<Plant> plants = plantRepository.findAll();
        Random random = new Random();
        int randomNumber = random.nextInt(plants.size());
        Plant randomPLant = plants.get(randomNumber);


        int randomNumber2 = random.nextInt(5);
        switch (randomNumber2){
            case 0:
                plantInfo = "Did u know that " + randomPLant.getName() + "Is a " + randomPLant.getDescription();
                break;
            case 1:
                plantInfo = "Did u know that " + randomPLant.getName() + "is originally from " + randomPLant.getOrigin();
                break;
            case 2:
                plantInfo = "Did u know that " + randomPLant.getName() + "is Planted from " + randomPLant.getPlantWeekStart() + "until " + randomPLant.getPlantWeekEnd();
                break;
            case 3:
                plantInfo = "Did u know that " + randomPLant.getName() + "is Harvested from " + randomPLant.getHarvestWeekStart() + "until " + randomPLant.getHarvestWeekEnd();
                break;
            case 4:
                plantInfo = "Did u know that " + randomPLant.getName() + "is Planted in " + randomPLant.getGrowingTips();
                break;
        }
        return plantInfo;
    }
}
